---
apiVersion: apps/v1
kind: DaemonSet
metadata:
  namespace: monitoring
  name: ipmi-exporter
spec:
  selector:
    matchLabels:
      app: ipmi
  template:
    metadata:
      labels:
        app: ipmi
    spec:
      nodeSelector:
        kubernetes.io/hostname: happiness.sch.bme.hu
      volumes:
        - name: ipmi
          hostPath:
            path: /dev/ipmi0
      containers:
        - name: ipmi
          image: registry.gitlab.com/disappointment-industries/container-images/ipmi-exporter:latest
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /dev/ipmi0
              name: ipmi
          ports:
            - containerPort: 9290
              name: metrics
      hostNetwork: true

---
apiVersion: operator.victoriametrics.com/v1beta1
kind: VMPodScrape
metadata:
  name: ipmi-exporter
  namespace: monitoring
spec:
  jobLabel: ipmi-exporter
  podMetricsEndpoints:
    - path: /metrics
      port: metrics
      scheme: http
  selector:
    matchLabels:
      app: ipmi

